Name:		techne
Version:	0.2.3
Release:	13%{?dist}
Summary:	A general purpose, programmable physical simulator and renderer

Group:		System Environment/Libraries
License:	GPLv3+
URL:		http://www.nongnu.org/techne/
Source0:	http://download.savannah.gnu.org/releases/techne/%{name}-%{version}.tar.gz
# Use compat-lua 5.1 until Techne is ported to Lua 5.2. 
Patch0:		techne-0.2.3-compat-lua-5.1.patch

BuildRequires:	gcc-objc
BuildRequires:	ode-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	gtkglext-devel
BuildRequires:	openal-soft-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	plplot-devel
%if 0%{?fedora} >= 20
BuildRequires:	compat-lua
BuildRequires:	compat-lua-devel
%else
BuildRequires:	lua
BuildRequires:	lua-devel
%endif
# The following are only necessary when calling `autoreconf`
BuildRequires:	autoconf
BuildRequires:	automake


%description
Techne is a general purpose, programmable physical simulator and renderer.
It reads in a set of scripts wherein every aspect of a physical system is
specified and then proceeds to simulate and render the system onscreen.


%prep
%setup -q
%patch0 -p1
autoreconf -i


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# remove a redundant README file in an unappropriate place
rm -f %{buildroot}/%{_docdir}/%{name}/README


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man*/*


%changelog
* Sun Nov 16 2014 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.3-13
- Rebuilt for new libode

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 09 2014 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-10
- Rebuild for new ImageMagick (6.8.8) (soname bump)

* Wed Oct 02 2013 Orion Poplawski <orion@cora.nwra.com> 0.2.3-9
- Rebuild for plplot 5.9.10

* Thu Aug 08 2013 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-8
- Build with compat-lua on F20+ (fixes FTBFS bug #992784)
- Added BuildRequires on lua and compat-lua (the latter is not pulled in
  automatically)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-6
- Rebuild for new ImageMagick (6.8.3) (soname bump) and ode-double soname bump
- Reverted the replacement of "make DESTDIR=%%{buildroot} install" with
  "%%make_install"

* Sun Mar 03 2013 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-5
- Changes to the spec file that follow the latest Packaging Guidelines:
  - replaced "make DESTDIR=%%{buildroot} install" with "%%make_install"

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-2
- Update to the *proper* 0.2.3 release tarball (upstream uploaded a new
  tarball with some minor fixes).

* Thu May 17 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-1
- Update to 0.2.3 (among other things it fixes build issues with GCC 4.7)
- Added new BuildRequires on plplot-devel

* Thu Mar 08 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-4
- Rebuild for new ImageMagick (6.7.5.x)

* Sat Jan 07 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-3
- Rebuild for new GCC 4.7.x
- Dropped obsolete versioned BuildRequires on ode-devel
- Changes to the spec file that follow the latest Packaging Guidelines:
  - removed %%defattr sections which are no longer necessary

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.1-2
- Rebuild for new libpng

* Fri Feb 25 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-1
- update to 0.2.1 (fixes build issues with GCC 4.6)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-1
- official 0.2 release

* Thu Dec 09 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.2
- implemented fixes suggested by Hans de Goede:
    - fixed ownership of unowned directories
    - fixed release field to reflect the fact that this is a pre-release

* Tue Dec 07 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.1
- initial package

